Loading...
Searching...
No Matches
freebsd.c File Reference

## Macros

#define | _(String)
#define | FREEBSD_SPECIFIC(dev)
#define | GEOM_SYSCTL "kern.geom.debugflags"

## Typedefs

typedef struct _FreeBSDSpecific | FreeBSDSpecific

## Variables

PedDiskArchOps | freebsd_disk_ops
PedArchitecture | ped_freebsd_arch

## Macro Definition Documentation

## _

#define _ | ( |  | String | ) |

Value:
(String)

## FREEBSD_SPECIFIC

#define FREEBSD_SPECIFIC | ( |  | dev | ) |

Value:
((FreeBSDSpecific*) (dev)->arch_specific)
FreeBSDSpecific
struct _FreeBSDSpecific FreeBSDSpecific
Definition freebsd.c:59

## GEOM_SYSCTL

#define GEOM_SYSCTL "kern.geom.debugflags"

## Typedef Documentation

## FreeBSDSpecific

typedef struct _FreeBSDSpecific FreeBSDSpecific

## Variable Documentation

## freebsd_disk_ops

PedDiskArchOps freebsd_disk_ops

Initial value:
= {
partition_get_path: freebsd_partition_get_path,
partition_is_busy: freebsd_partition_is_busy,
disk_commit: freebsd_disk_commit
}

## ped_freebsd_arch

PedArchitecture ped_freebsd_arch

Initial value:
= {
dev_ops: &freebsd_dev_ops,
disk_ops: &freebsd_disk_ops
}
freebsd_disk_ops
PedDiskArchOps freebsd_disk_ops
Definition freebsd.c:1356